wifi8 2.0.0.0

Data Fields
wifi8_m2m_ap_config_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t | au8ssid [M2M_MAX_SSID_LEN]
uint8_t | u8_listen_channel
uint8_t | u8_key_indx
uint8_t | u8_key_sz
uint8_t | au8_wep_key [WEP_104_KEY_STRING_SIZE+1]
uint8_t | u8_sec_type
uint8_t | u8_ssid_hide
uint8_t | au8dhcp_server_ip [4]
uint8_t | __pad24__ [3]

## Field Documentation

## ◆ __pad24__

uint8_t __pad24__[3]

padding bytes for forcing alignment

## ◆ au8_wep_key

uint8_t au8_wep_key[WEP_104_KEY_STRING_SIZE+1]

WEP key

## ◆ au8dhcp_server_ip

uint8_t au8dhcp_server_ip[4]

ap dhcp server address

## ◆ au8ssid

uint8_t au8ssid[M2M_MAX_SSID_LEN]

AP SSID

## ◆ u8_key_indx

uint8_t u8_key_indx

wep key index

## ◆ u8_key_sz

uint8_t u8_key_sz

WEP key size

## ◆ u8_listen_channel

uint8_t u8_listen_channel

wi-fi rf channel which the ap will operate on

## ◆ u8_sec_type

uint8_t u8_sec_type

security type: open or wep

## ◆ u8_ssid_hide

uint8_t u8_ssid_hide

ssid status "hidden(1)/visible(0)"

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h